package hex;

import org.relaxng.datatype.*;

public class DatatypeLibraryImpl implements DatatypeLibrary
{
    public Datatype createDatatype(String type) throws DatatypeException {
        return createDatatypeBuilder(type).createDatatype();
    }
    
    public DatatypeBuilder createDatatypeBuilder(String type) throws DatatypeException {
        if(type.equals("hex"))   return new HexTypeBuilder();
        throw new DatatypeException();
    }
}
